> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Evaluate coupons

> Evaluate applicable & inapplicable coupons based on the specified cart.



## OpenAPI

````yaml get /carts/{id}/evaluate-coupons
openapi: 3.1.0
info:
  version: '1.0'
  title: CE Storefront APIs
  summary: Customer-facing e-commerce API for building exceptional shopping experiences
  description: >-
    Public-facing API for Commerce Engine storefronts, enabling seamless
    shopping experiences with product browsing, cart management, checkout
    processing, user accounts, and order tracking. Perfect for building web,
    mobile, and headless commerce applications.
  contact:
    name: Support
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
  license:
    url: https://www.commercengine.io/contact-us
    name: All Rights Reserved
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security: []
tags:
  - name: Analytics
    description: Analytics
  - name: Auth
    description: auth
  - name: Campaigns
    description: Campaigns
  - name: Carts
    description: Carts
  - name: Catalog
    description: Catalog
  - name: Common
    description: Common
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Juspay
    description: Juspay Payments
  - name: KYC
    description: KYC
  - name: Marketplace
    description: Marketplace
  - name: Orders
    description: Orders
  - name: Others
    description: Others
  - name: Payments
    description: Payments
  - name: PayU
    description: PayU Payments
  - name: POS
    description: POS
  - name: Shipping
    description: Shipping
  - name: Store
    description: Store
  - name: Subscriptions
    description: Subscriptions
externalDocs:
  url: https://llm-docs.commercengine.io
  description: Commerce Engine API Reference Documentation
paths:
  /carts/{id}/evaluate-coupons:
    parameters:
      - name: id
        in: path
        description: Cart Id
        required: true
        schema:
          type: string
    get:
      tags:
        - Carts
      summary: Evaluate coupons
      description: Evaluate applicable & inapplicable coupons based on the specified cart.
      operationId: evaluate-coupons
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - success
                  - content
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      applicable_coupons:
                        type: array
                        items:
                          $ref: '#/components/schemas/ApplicableCoupon'
                      inapplicable_coupons:
                        type: array
                        items:
                          $ref: '#/components/schemas/InapplicableCoupon'
                    required:
                      - applicable_coupons
                      - inapplicable_coupons
                    type: object
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - Authorization: []
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/operations/evaluate-coupons
        description: API reference for the evaluate-coupons operation
components:
  schemas:
    ApplicableCoupon:
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/ApplicableCoupon
        description: API reference for the ApplicableCoupon schema
      properties:
        id:
          type: string
        name:
          type: string
        coupon_type:
          $ref: '#/components/schemas/CouponType'
        coupon_code:
          type: array
          items:
            type: string
        estimated_discount:
          type: number
        savings_message:
          type: string
    InapplicableCoupon:
      type: object
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/schemas/InapplicableCoupon
        description: API reference for the InapplicableCoupon schema
      properties:
        id:
          type: string
        name:
          type: string
        coupon_type:
          $ref: '#/components/schemas/CouponType'
        coupon_code:
          type: array
          items:
            type: string
        reason:
          type: string
        suggestion:
          type: string
    CouponType:
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/CouponType
        description: API reference for the CouponType schema
      enum:
        - discount
        - free-goods
        - fixed-price
        - free-shipping
        - buy-x-get-y
        - volume-based
        - accelerated-rewards
  responses:
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                examples:
                  - Not authorized for given operation on the Resource.
                x-speakeasy-error-message: true
              success:
                type: boolean
                default: false
              code:
                type: string
                examples:
                  - unauthorized
  securitySchemes:
    Authorization:
      type: http
      description: Access token
      scheme: bearer

````